Data Catalog API methods that are related to Data Catalog search and metadata are deprecated and will be discontinued on January 30, 2026. See Transition from Data Catalog to Dataplex Universal Catalog. Methods that are related to policy tags and policy tag taxonomies are not deprecated.
Method: projects.locations.tagTemplates.fields.enumValues.rename
Stay organized with collections
Save and categorize content based on your preferences.
Within a single enum field, enum values must be unique.
HTTP request
POST https://datacatalog.googleapis.com/v1/{name}:rename
Path parameters
Parameters
name
string
Required. The name of the enum field value. It takes the form projects/{project}/locations/{location}/tagTemplates/{tagtemplate}/fields/{field}/enumValues/{enumvalue}.
Request body
The request body contains data with the following structure:
JSON representation
{"newEnumValueDisplayName": string}
Fields
newEnumValueDisplayName
string
Required. The new display name of the enum value. For example, my_new_enum_value.
Response body
If successful, the response body contains an instance of TagTemplateField.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-07-17 UTC."],[],[]]